# Process this file with autoconf to produce a configure script.

AC_INIT(almost, 1.0.3,cavalli@bioc.unizh.ch)
AC_CANONICAL_HOST
#AM_INIT_AUTOMAKE(almost,1.0.3,tar-ustar)
AM_INIT_AUTOMAKE(tar-ustar)

#config header
# host ( host_cpu host_vendor host_os )

AM_CONFIG_HEADER(config.h)
AC_LIBTOOL_DLOPEN
# Checks for programs.
AC_PROG_CXX
AC_PROG_CC
AC_PROG_YACC
AM_PROG_LEX
AC_PROG_INSTALL
AC_PROG_AWK
AC_PROG_LIBTOOL
AM_PROG_AS

AC_DEFINE_UNQUOTED([BUILD_TIME],["`date`"],[Date and time for build])
AC_DEFINE_UNQUOTED([BUILD_USER],["`whoami`@`hostname`"],[User doing build])
AC_DEFINE_UNQUOTED([BUILD_MACHINE],["`uname -srm`"],[Hardware and OS version for build host])

# Checks for libraries.
# To be done
AC_CHECK_HEADERS([bzlib.h],[AC_DEFINE([HAVE_BZLIB_H]) AM_CONDITIONAL([LIBBZ2],test "true" = "true")],
			[AM_CONDITIONAL([LIBBZ2],test "true" = "false")])



dnl  -----------------------------------------------
dnl     Enale pe-const
dnl  -----------------------------------------------
AC_ARG_ENABLE(peconst,
  [  --enable-peconst    Build peconst ],
  [case "${enableval}" in
    yes) peconst=true ;;
    no)  peconst=false ;;
    *) AC_MSG_ERROR(bad value ${enableval} for --enable-peconst) ;;
  esac],[peconst=false]
)

if test "$peconst" = "true"; then
AC_DEFINE([BUILD_PECONST],,[Building peconst])
echo "BUILDING GSL"
conf=$PWD
cd $conf/lib
tar zxf gsl-1.9.tar.gz
cd gsl-1.9
./configure --disable-shared --prefix=$conf/lib/gsl
make
make install
cd $conf
fi
AM_CONDITIONAL(PECONST, test "$peconst" = "true")

dnl  -----------------------------------------------
dnl     Enale doc-module
dnl  -----------------------------------------------
AC_ARG_ENABLE(docmod,
  [  --enable-docmod    Build docmod ],
  [case "${enableval}" in
    yes) docmod=true ;;
    no)  docmod=false ;;
    *) AC_MSG_ERROR(bad value ${enableval} for --enable-docmod) ;;
  esac],[docmod=false]
)

AM_CONDITIONAL(DOCMOD, test "$docmod" = "true")

dnl  -----------------------------------------------
dnl     Enale almostMPI
dnl  -----------------------------------------------
AC_ARG_ENABLE(mpi,
  [  --enable-mpi    Build almostMPI code],
  [case "${enableval}" in
    yes) mpi=true ;;
    no)  mpi=false ;;
    *) AC_MSG_ERROR(bad value ${enableval} for --enable-mpi) ;;
  esac],[mpi=false]
)
AM_CONDITIONAL(MPI, test "$mpi" = "true")

dnl -----------------------------------------------
dnl Here we allow to spec MPI base dir
dnl -----------------------------------------------
#AC_MSG_CHECKING(for --with-mpi)
AC_ARG_WITH(mpi,[  --with-mpi='/home/me/mpi'    path to mpi-dir], [
  AC_MSG_RESULT($withval)
  MPIDIR=$withval
], [
  MPIDIR=
])


AC_PATH_PROG(MPICXX, mpiCC, [$PATH], [$PATH:$MPIDIR])

### Constraints
AC_ARG_ENABLE(constraints,     
 [  --disable-constraints       disable constraints],,
[case "${enableval}" in
    yes) constraints=false ;;
    no)  constraints=true ;;
    *) constraints=false ;;			
esac])

if test "$constraints" = "false"; then
AC_DEFINE(ALM_USE_CONSTRAINTS,,[Compute Constraints in main loop])
echo "Constraints enabled"
else
echo Constraint disabled value $
fi


#C and CPPFLAFS
CFLAGS="-O9 -ffast-math -fomit-frame-pointer"
CXXFLAGS="-O9 -ffast-math"

#alm_sse
mkasm=false
case "${host-cpu}" in
	i*86-*)
	mkasm=true
;;
esac


if test x$mkasm = xtrue; then
AM_CONDITIONAL(ASMFILE,true)
else
AM_CONDITIONAL(ASMFILE,false)
fi

buildasm=false
case "${host-cpu}" in
	i*86*)
	buildasm=true
;;
esac
	
if test x$buildasm == xtrue; then
AM_CONDITIONAL(MD_FLOAT,true)
AC_DEFINE([BUILD_MD_FLOAT],,[Building MD float])
else
AM_CONDITIONAL(MD_FLOAT,false)
fi

darwin=false
case "${host-os}" in
	 *-darwin*)
	darwin=true
;;
esac

powerpc=false
case "${host-cpu}" in 
	powerpc-*)
	powerpc=true
;;
esac

ix86=false
case "${host-cpu}" in
	i*86-*)
	ix86=true
;;
esac




if test x$darwin = xtrue; then
AC_DEFINE([DARWIN],[],"Darwin OS")
else
echo OS ${host-os}
fi

if test x$darwin = xtrue; then
CFLAGS=$CFLAGS" -fast"
CXXFLAGS=$CXXFLAGS" -fast"
fi

if test x$powerpc = xtrue; then
AC_DEFINE([POWERPC],[],"PowerPC CPU")
fi

if test x$ix86 = xtrue; then
AC_DEFINE([IX86],[],"IX86 CPU")
fi

AM_CONDITIONAL(DARWIN, test x$darwin = xtrue)
AM_CONDITIONAL(POWERPC, test x$powerpc = xtrue)
AM_CONDITIONAL(IX86, test x$ix86 = xtrue)

if test x$darwin = xtrue; then
if test x$ix86 = xtrue; then
CXXFLAGS=$CXXFLAGS" -msse -msse2 -mmmx"
CFLAGS=$CFLAGS" -msse -msse2 -mmmx"
fi
fi

if test x$darwin = xtrue; then
if test x$ix86 = xtrue; then
CCAS=$PWD/darwinas
fi
fi

echo ${host} ${host-cpu}  ${host-vendor} ${host-os} $ix86 $powerpc
AC_OUTPUT(
		almost.h 
		version.h
		Makefile
		include/Makefile
		include/almost/Makefile
		include/almost/algorithm/Makefile
		include/almost/boost/Makefile
		include/almost/boost/accumulators/Makefile
		include/almost/boost/accumulators/framework/Makefile
		include/almost/boost/accumulators/framework/accumulators/Makefile
		include/almost/boost/accumulators/framework/parameters/Makefile
		include/almost/boost/accumulators/numeric/Makefile
		include/almost/boost/accumulators/numeric/detail/Makefile
		include/almost/boost/accumulators/numeric/functional/Makefile
		include/almost/boost/accumulators/statistics/Makefile
		include/almost/boost/accumulators/statistics/parameters/Makefile
		include/almost/boost/accumulators/statistics/variates/Makefile
		include/almost/boost/algorithm/Makefile
		include/almost/boost/algorithm/string/Makefile
		include/almost/boost/algorithm/string/detail/Makefile
		include/almost/boost/algorithm/string/std/Makefile
		include/almost/boost/archive/Makefile
		include/almost/boost/archive/detail/Makefile
		include/almost/boost/archive/impl/Makefile
		include/almost/boost/archive/iterators/Makefile
		include/almost/boost/asio/Makefile
		include/almost/boost/asio/detail/Makefile
		include/almost/boost/asio/impl/Makefile
		include/almost/boost/asio/ip/Makefile
		include/almost/boost/asio/ip/detail/Makefile
		include/almost/boost/asio/local/Makefile
		include/almost/boost/asio/posix/Makefile
		include/almost/boost/asio/ssl/Makefile
		include/almost/boost/asio/ssl/detail/Makefile
		include/almost/boost/asio/windows/Makefile
		include/almost/boost/assign/Makefile
		include/almost/boost/assign/std/Makefile
		include/almost/boost/bimap/Makefile
		include/almost/boost/bimap/container_adaptor/Makefile
		include/almost/boost/bimap/container_adaptor/detail/Makefile
		include/almost/boost/bimap/container_adaptor/support/Makefile
		include/almost/boost/bimap/detail/Makefile
		include/almost/boost/bimap/detail/debug/Makefile
		include/almost/boost/bimap/detail/test/Makefile
		include/almost/boost/bimap/property_map/Makefile
		include/almost/boost/bimap/relation/Makefile
		include/almost/boost/bimap/relation/detail/Makefile
		include/almost/boost/bimap/relation/support/Makefile
		include/almost/boost/bimap/support/Makefile
		include/almost/boost/bimap/tags/Makefile
		include/almost/boost/bimap/tags/support/Makefile
		include/almost/boost/bimap/views/Makefile
		include/almost/boost/bind/Makefile
		include/almost/boost/circular_buffer/Makefile
		include/almost/boost/compatibility/Makefile
		include/almost/boost/compatibility/cpp_c_headers/Makefile
		include/almost/boost/concept/Makefile
		include/almost/boost/concept/detail/Makefile
		include/almost/boost/concept_check/Makefile
		include/almost/boost/config/Makefile
		include/almost/boost/config/abi/Makefile
		include/almost/boost/config/compiler/Makefile
		include/almost/boost/config/no_tr1/Makefile
		include/almost/boost/config/platform/Makefile
		include/almost/boost/config/stdlib/Makefile
		include/almost/boost/date_time/Makefile
		include/almost/boost/date_time/gregorian/Makefile
		include/almost/boost/date_time/local_time/Makefile
		include/almost/boost/date_time/posix_time/Makefile
		include/almost/boost/detail/Makefile
		include/almost/boost/dynamic_bitset/Makefile
		include/almost/boost/exception/Makefile
		include/almost/boost/exception/detail/Makefile
		include/almost/boost/filesystem/Makefile
		include/almost/boost/format/Makefile
		include/almost/boost/format/detail/Makefile
		include/almost/boost/function/Makefile
		include/almost/boost/function/detail/Makefile
		include/almost/boost/function_types/Makefile
		include/almost/boost/function_types/config/Makefile
		include/almost/boost/function_types/detail/Makefile
		include/almost/boost/function_types/detail/classifier_impl/Makefile
		include/almost/boost/function_types/detail/components_impl/Makefile
		include/almost/boost/function_types/detail/encoding/Makefile
		include/almost/boost/function_types/detail/pp_cc_loop/Makefile
		include/almost/boost/function_types/detail/pp_retag_default_cc/Makefile
		include/almost/boost/function_types/detail/pp_tags/Makefile
		include/almost/boost/function_types/detail/pp_variate_loop/Makefile
		include/almost/boost/function_types/detail/synthesize_impl/Makefile
		include/almost/boost/functional/Makefile
		include/almost/boost/functional/detail/Makefile
		include/almost/boost/functional/hash/Makefile
		include/almost/boost/fusion/Makefile
		include/almost/boost/fusion/adapted/Makefile
		include/almost/boost/fusion/adapted/array/Makefile
		include/almost/boost/fusion/adapted/array/detail/Makefile
		include/almost/boost/fusion/adapted/boost_tuple/Makefile
		include/almost/boost/fusion/adapted/boost_tuple/detail/Makefile
		include/almost/boost/fusion/adapted/mpl/Makefile
		include/almost/boost/fusion/adapted/mpl/detail/Makefile
		include/almost/boost/fusion/adapted/std_pair/Makefile
		include/almost/boost/fusion/adapted/std_pair/detail/Makefile
		include/almost/boost/fusion/adapted/struct/Makefile
		include/almost/boost/fusion/adapted/struct/detail/Makefile
		include/almost/boost/fusion/algorithm/Makefile
		include/almost/boost/fusion/algorithm/iteration/Makefile
		include/almost/boost/fusion/algorithm/iteration/detail/Makefile
		include/almost/boost/fusion/algorithm/iteration/ext_/Makefile
		include/almost/boost/fusion/algorithm/query/Makefile
		include/almost/boost/fusion/algorithm/query/detail/Makefile
		include/almost/boost/fusion/algorithm/query/ext_/Makefile
		include/almost/boost/fusion/algorithm/transformation/Makefile
		include/almost/boost/fusion/algorithm/transformation/detail/Makefile
		include/almost/boost/fusion/container/Makefile
		include/almost/boost/fusion/container/deque/Makefile
		include/almost/boost/fusion/container/deque/detail/Makefile
		include/almost/boost/fusion/container/ext_/Makefile
		include/almost/boost/fusion/container/generation/Makefile
		include/almost/boost/fusion/container/list/Makefile
		include/almost/boost/fusion/container/list/detail/Makefile
		include/almost/boost/fusion/container/map/Makefile
		include/almost/boost/fusion/container/map/detail/Makefile
		include/almost/boost/fusion/container/set/Makefile
		include/almost/boost/fusion/container/set/detail/Makefile
		include/almost/boost/fusion/container/vector/Makefile
		include/almost/boost/fusion/container/vector/detail/Makefile
		include/almost/boost/fusion/functional/Makefile
		include/almost/boost/fusion/functional/adapter/Makefile
		include/almost/boost/fusion/functional/adapter/detail/Makefile
		include/almost/boost/fusion/functional/generation/Makefile
		include/almost/boost/fusion/functional/generation/detail/Makefile
		include/almost/boost/fusion/functional/invocation/Makefile
		include/almost/boost/fusion/functional/invocation/detail/Makefile
		include/almost/boost/fusion/include/Makefile
		include/almost/boost/fusion/iterator/Makefile
		include/almost/boost/fusion/iterator/detail/Makefile
		include/almost/boost/fusion/iterator/mpl/Makefile
		include/almost/boost/fusion/mpl/Makefile
		include/almost/boost/fusion/mpl/detail/Makefile
		include/almost/boost/fusion/sequence/Makefile
		include/almost/boost/fusion/sequence/comparison/Makefile
		include/almost/boost/fusion/sequence/comparison/detail/Makefile
		include/almost/boost/fusion/sequence/intrinsic/Makefile
		include/almost/boost/fusion/sequence/intrinsic/ext_/Makefile
		include/almost/boost/fusion/sequence/io/Makefile
		include/almost/boost/fusion/sequence/io/detail/Makefile
		include/almost/boost/fusion/support/Makefile
		include/almost/boost/fusion/support/detail/Makefile
		include/almost/boost/fusion/support/ext_/Makefile
		include/almost/boost/fusion/tuple/Makefile
		include/almost/boost/fusion/tuple/detail/Makefile
		include/almost/boost/fusion/view/Makefile
		include/almost/boost/fusion/view/detail/Makefile
		include/almost/boost/fusion/view/ext_/Makefile
		include/almost/boost/fusion/view/filter_view/Makefile
		include/almost/boost/fusion/view/filter_view/detail/Makefile
		include/almost/boost/fusion/view/iterator_range/Makefile
		include/almost/boost/fusion/view/iterator_range/detail/Makefile
		include/almost/boost/fusion/view/joint_view/Makefile
		include/almost/boost/fusion/view/joint_view/detail/Makefile
		include/almost/boost/fusion/view/repetitive_view/Makefile
		include/almost/boost/fusion/view/repetitive_view/detail/Makefile
		include/almost/boost/fusion/view/reverse_view/Makefile
		include/almost/boost/fusion/view/reverse_view/detail/Makefile
		include/almost/boost/fusion/view/single_view/Makefile
		include/almost/boost/fusion/view/single_view/detail/Makefile
		include/almost/boost/fusion/view/transform_view/Makefile
		include/almost/boost/fusion/view/transform_view/detail/Makefile
		include/almost/boost/fusion/view/zip_view/Makefile
		include/almost/boost/fusion/view/zip_view/detail/Makefile
		include/almost/boost/gil/Makefile
		include/almost/boost/gil/extension/Makefile
		include/almost/boost/gil/extension/dynamic_image/Makefile
		include/almost/boost/gil/extension/io/Makefile
		include/almost/boost/graph/Makefile
		include/almost/boost/graph/detail/Makefile
		include/almost/boost/graph/planar_detail/Makefile
		include/almost/boost/integer/Makefile
		include/almost/boost/interprocess/Makefile
		include/almost/boost/interprocess/allocators/Makefile
		include/almost/boost/interprocess/allocators/detail/Makefile
		include/almost/boost/interprocess/containers/Makefile
		include/almost/boost/interprocess/containers/detail/Makefile
		include/almost/boost/interprocess/detail/Makefile
		include/almost/boost/interprocess/indexes/Makefile
		include/almost/boost/interprocess/ipc/Makefile
		include/almost/boost/interprocess/mem_algo/Makefile
		include/almost/boost/interprocess/mem_algo/detail/Makefile
		include/almost/boost/interprocess/smart_ptr/Makefile
		include/almost/boost/interprocess/smart_ptr/detail/Makefile
		include/almost/boost/interprocess/streams/Makefile
		include/almost/boost/interprocess/sync/Makefile
		include/almost/boost/interprocess/sync/emulation/Makefile
		include/almost/boost/interprocess/sync/posix/Makefile
		include/almost/boost/intrusive/Makefile
		include/almost/boost/intrusive/detail/Makefile
		include/almost/boost/io/Makefile
		include/almost/boost/iostreams/Makefile
		include/almost/boost/iostreams/detail/Makefile
		include/almost/boost/iostreams/detail/adapter/Makefile
		include/almost/boost/iostreams/detail/broken_overload_resolution/Makefile
		include/almost/boost/iostreams/detail/config/Makefile
		include/almost/boost/iostreams/detail/streambuf/Makefile
		include/almost/boost/iostreams/detail/vc6/Makefile
		include/almost/boost/iostreams/device/Makefile
		include/almost/boost/iostreams/filter/Makefile
		include/almost/boost/iterator/Makefile
		include/almost/boost/iterator/detail/Makefile
		include/almost/boost/lambda/Makefile
		include/almost/boost/lambda/detail/Makefile
		include/almost/boost/logic/Makefile
		include/almost/boost/math/Makefile
		include/almost/boost/math/bindings/Makefile
		include/almost/boost/math/complex/Makefile
		include/almost/boost/math/concepts/Makefile
		include/almost/boost/math/constants/Makefile
		include/almost/boost/math/distributions/Makefile
		include/almost/boost/math/distributions/detail/Makefile
		include/almost/boost/math/policies/Makefile
		include/almost/boost/math/special_functions/Makefile
		include/almost/boost/math/special_functions/detail/Makefile
		include/almost/boost/math/tools/Makefile
		include/almost/boost/math/tools/detail/Makefile
		include/almost/boost/mpi/Makefile
		include/almost/boost/mpi/collectives/Makefile
		include/almost/boost/mpi/detail/Makefile
		include/almost/boost/mpi/python/Makefile
		include/almost/boost/mpl/Makefile
		include/almost/boost/mpl/aux_/Makefile
		include/almost/boost/mpl/aux_/config/Makefile
		include/almost/boost/mpl/aux_/preprocessed/Makefile
		include/almost/boost/mpl/aux_/preprocessed/bcc/Makefile
		include/almost/boost/mpl/aux_/preprocessed/bcc551/Makefile
		include/almost/boost/mpl/aux_/preprocessed/dmc/Makefile
		include/almost/boost/mpl/aux_/preprocessed/gcc/Makefile
		include/almost/boost/mpl/aux_/preprocessed/msvc60/Makefile
		include/almost/boost/mpl/aux_/preprocessed/msvc70/Makefile
		include/almost/boost/mpl/aux_/preprocessed/mwcw/Makefile
		include/almost/boost/mpl/aux_/preprocessed/no_ctps/Makefile
		include/almost/boost/mpl/aux_/preprocessed/no_ttp/Makefile
		include/almost/boost/mpl/aux_/preprocessed/plain/Makefile
		include/almost/boost/mpl/aux_/preprocessor/Makefile
		include/almost/boost/mpl/aux_/range_c/Makefile
		include/almost/boost/mpl/aux_/test/Makefile
		include/almost/boost/mpl/limits/Makefile
		include/almost/boost/mpl/list/Makefile
		include/almost/boost/mpl/list/aux_/Makefile
		include/almost/boost/mpl/list/aux_/preprocessed/Makefile
		include/almost/boost/mpl/list/aux_/preprocessed/plain/Makefile
		include/almost/boost/mpl/map/Makefile
		include/almost/boost/mpl/map/aux_/Makefile
		include/almost/boost/mpl/map/aux_/preprocessed/Makefile
		include/almost/boost/mpl/map/aux_/preprocessed/no_ctps/Makefile
		include/almost/boost/mpl/map/aux_/preprocessed/plain/Makefile
		include/almost/boost/mpl/map/aux_/preprocessed/typeof_based/Makefile
		include/almost/boost/mpl/math/Makefile
		include/almost/boost/mpl/multiset/Makefile
		include/almost/boost/mpl/multiset/aux_/Makefile
		include/almost/boost/mpl/set/Makefile
		include/almost/boost/mpl/set/aux_/Makefile
		include/almost/boost/mpl/set/aux_/preprocessed/Makefile
		include/almost/boost/mpl/set/aux_/preprocessed/plain/Makefile
		include/almost/boost/mpl/vector/Makefile
		include/almost/boost/mpl/vector/aux_/Makefile
		include/almost/boost/mpl/vector/aux_/preprocessed/Makefile
		include/almost/boost/mpl/vector/aux_/preprocessed/no_ctps/Makefile
		include/almost/boost/mpl/vector/aux_/preprocessed/plain/Makefile
		include/almost/boost/mpl/vector/aux_/preprocessed/typeof_based/Makefile
		include/almost/boost/multi_array/Makefile
		include/almost/boost/multi_index/Makefile
		include/almost/boost/multi_index/detail/Makefile
		include/almost/boost/numeric/Makefile
		include/almost/boost/numeric/conversion/Makefile
		include/almost/boost/numeric/conversion/detail/Makefile
		include/almost/boost/numeric/interval/Makefile
		include/almost/boost/numeric/interval/compare/Makefile
		include/almost/boost/numeric/interval/detail/Makefile
		include/almost/boost/numeric/interval/ext/Makefile
		include/almost/boost/numeric/ublas/Makefile
		include/almost/boost/numeric/ublas/detail/Makefile
		include/almost/boost/optional/Makefile
		include/almost/boost/parameter/Makefile
		include/almost/boost/parameter/aux_/Makefile
		include/almost/boost/parameter/aux_/preprocessor/Makefile
		include/almost/boost/parameter/aux_/python/Makefile
		include/almost/boost/pending/Makefile
		include/almost/boost/pending/detail/Makefile
		include/almost/boost/pool/Makefile
		include/almost/boost/pool/detail/Makefile
		include/almost/boost/preprocessor/Makefile
		include/almost/boost/preprocessor/arithmetic/Makefile
		include/almost/boost/preprocessor/arithmetic/detail/Makefile
		include/almost/boost/preprocessor/array/Makefile
		include/almost/boost/preprocessor/comparison/Makefile
		include/almost/boost/preprocessor/config/Makefile
		include/almost/boost/preprocessor/control/Makefile
		include/almost/boost/preprocessor/control/detail/Makefile
		include/almost/boost/preprocessor/control/detail/dmc/Makefile
		include/almost/boost/preprocessor/control/detail/edg/Makefile
		include/almost/boost/preprocessor/control/detail/msvc/Makefile
		include/almost/boost/preprocessor/debug/Makefile
		include/almost/boost/preprocessor/detail/Makefile
		include/almost/boost/preprocessor/detail/dmc/Makefile
		include/almost/boost/preprocessor/facilities/Makefile
		include/almost/boost/preprocessor/iteration/Makefile
		include/almost/boost/preprocessor/iteration/detail/Makefile
		include/almost/boost/preprocessor/iteration/detail/bounds/Makefile
		include/almost/boost/preprocessor/iteration/detail/iter/Makefile
		include/almost/boost/preprocessor/list/Makefile
		include/almost/boost/preprocessor/list/detail/Makefile
		include/almost/boost/preprocessor/list/detail/dmc/Makefile
		include/almost/boost/preprocessor/list/detail/edg/Makefile
		include/almost/boost/preprocessor/logical/Makefile
		include/almost/boost/preprocessor/punctuation/Makefile
		include/almost/boost/preprocessor/repetition/Makefile
		include/almost/boost/preprocessor/repetition/detail/Makefile
		include/almost/boost/preprocessor/repetition/detail/dmc/Makefile
		include/almost/boost/preprocessor/repetition/detail/edg/Makefile
		include/almost/boost/preprocessor/repetition/detail/msvc/Makefile
		include/almost/boost/preprocessor/selection/Makefile
		include/almost/boost/preprocessor/seq/Makefile
		include/almost/boost/preprocessor/seq/detail/Makefile
		include/almost/boost/preprocessor/slot/Makefile
		include/almost/boost/preprocessor/slot/detail/Makefile
		include/almost/boost/preprocessor/tuple/Makefile
		include/almost/boost/program_options/Makefile
		include/almost/boost/program_options/detail/Makefile
		include/almost/boost/ptr_container/Makefile
		include/almost/boost/ptr_container/detail/Makefile
		include/almost/boost/python/Makefile
		include/almost/boost/python/converter/Makefile
		include/almost/boost/python/detail/Makefile
		include/almost/boost/python/object/Makefile
		include/almost/boost/python/suite/Makefile
		include/almost/boost/python/suite/indexing/Makefile
		include/almost/boost/python/suite/indexing/detail/Makefile
		include/almost/boost/random/Makefile
		include/almost/boost/random/detail/Makefile
		include/almost/boost/range/Makefile
		include/almost/boost/range/detail/Makefile
		include/almost/boost/range/detail/mfc/Makefile
		include/almost/boost/range/detail/vc6/Makefile
		include/almost/boost/regex/Makefile
		include/almost/boost/regex/config/Makefile
		include/almost/boost/regex/pending/Makefile
		include/almost/boost/regex/v4/Makefile
		include/almost/boost/serialization/Makefile
		include/almost/boost/serialization/detail/Makefile
		include/almost/boost/signals/Makefile
		include/almost/boost/signals/detail/Makefile
		include/almost/boost/spirit/Makefile
		include/almost/boost/spirit/actor/Makefile
		include/almost/boost/spirit/attribute/Makefile
		include/almost/boost/spirit/core/Makefile
		include/almost/boost/spirit/core/composite/Makefile
		include/almost/boost/spirit/core/non_terminal/Makefile
		include/almost/boost/spirit/core/primitives/Makefile
		include/almost/boost/spirit/core/scanner/Makefile
		include/almost/boost/spirit/debug/Makefile
		include/almost/boost/spirit/dynamic/Makefile
		include/almost/boost/spirit/error_handling/Makefile
		include/almost/boost/spirit/home/Makefile
		include/almost/boost/spirit/home/classic/Makefile
		include/almost/boost/spirit/home/classic/actor/Makefile
		include/almost/boost/spirit/home/classic/attribute/Makefile
		include/almost/boost/spirit/home/classic/core/Makefile
		include/almost/boost/spirit/home/classic/core/composite/Makefile
		include/almost/boost/spirit/home/classic/core/composite/impl/Makefile
		include/almost/boost/spirit/home/classic/core/impl/Makefile
		include/almost/boost/spirit/home/classic/core/non_terminal/Makefile
		include/almost/boost/spirit/home/classic/core/non_terminal/impl/Makefile
		include/almost/boost/spirit/home/classic/core/primitives/Makefile
		include/almost/boost/spirit/home/classic/core/primitives/impl/Makefile
		include/almost/boost/spirit/home/classic/core/scanner/Makefile
		include/almost/boost/spirit/home/classic/core/scanner/impl/Makefile
		include/almost/boost/spirit/home/classic/debug/Makefile
		include/almost/boost/spirit/home/classic/debug/impl/Makefile
		include/almost/boost/spirit/home/classic/dynamic/Makefile
		include/almost/boost/spirit/home/classic/dynamic/impl/Makefile
		include/almost/boost/spirit/home/classic/error_handling/Makefile
		include/almost/boost/spirit/home/classic/error_handling/impl/Makefile
		include/almost/boost/spirit/home/classic/iterator/Makefile
		include/almost/boost/spirit/home/classic/iterator/impl/Makefile
		include/almost/boost/spirit/home/classic/meta/Makefile
		include/almost/boost/spirit/home/classic/meta/impl/Makefile
		include/almost/boost/spirit/home/classic/phoenix/Makefile
		include/almost/boost/spirit/home/classic/symbols/Makefile
		include/almost/boost/spirit/home/classic/symbols/impl/Makefile
		include/almost/boost/spirit/home/classic/tree/Makefile
		include/almost/boost/spirit/home/classic/tree/impl/Makefile
		include/almost/boost/spirit/home/classic/utility/Makefile
		include/almost/boost/spirit/home/classic/utility/impl/Makefile
		include/almost/boost/spirit/home/classic/utility/impl/chset/Makefile
		include/almost/boost/spirit/home/karma/Makefile
		include/almost/boost/spirit/home/karma/action/Makefile
		include/almost/boost/spirit/home/karma/auxiliary/Makefile
		include/almost/boost/spirit/home/karma/binary/Makefile
		include/almost/boost/spirit/home/karma/char/Makefile
		include/almost/boost/spirit/home/karma/detail/Makefile
		include/almost/boost/spirit/home/karma/directive/Makefile
		include/almost/boost/spirit/home/karma/directive/detail/Makefile
		include/almost/boost/spirit/home/karma/nonterminal/Makefile
		include/almost/boost/spirit/home/karma/nonterminal/detail/Makefile
		include/almost/boost/spirit/home/karma/numeric/Makefile
		include/almost/boost/spirit/home/karma/numeric/detail/Makefile
		include/almost/boost/spirit/home/karma/operator/Makefile
		include/almost/boost/spirit/home/karma/operator/detail/Makefile
		include/almost/boost/spirit/home/karma/operator/karma-alt/Makefile
		include/almost/boost/spirit/home/karma/operator/karma-alt/detail/Makefile
		include/almost/boost/spirit/home/karma/stream/Makefile
		include/almost/boost/spirit/home/karma/stream/detail/Makefile
		include/almost/boost/spirit/home/karma/string/Makefile
		include/almost/boost/spirit/home/lex/Makefile
		include/almost/boost/spirit/home/lex/lexer/Makefile
		include/almost/boost/spirit/home/lex/lexer/detail/Makefile
		include/almost/boost/spirit/home/lex/lexer/lexertl/Makefile
		include/almost/boost/spirit/home/lex/qi/Makefile
		include/almost/boost/spirit/home/lex/qi/state/Makefile
		include/almost/boost/spirit/home/lex/qi/utility/Makefile
		include/almost/boost/spirit/home/phoenix/Makefile
		include/almost/boost/spirit/home/phoenix/bind/Makefile
		include/almost/boost/spirit/home/phoenix/bind/detail/Makefile
		include/almost/boost/spirit/home/phoenix/core/Makefile
		include/almost/boost/spirit/home/phoenix/core/detail/Makefile
		include/almost/boost/spirit/home/phoenix/detail/Makefile
		include/almost/boost/spirit/home/phoenix/function/Makefile
		include/almost/boost/spirit/home/phoenix/function/detail/Makefile
		include/almost/boost/spirit/home/phoenix/fusion/Makefile
		include/almost/boost/spirit/home/phoenix/object/Makefile
		include/almost/boost/spirit/home/phoenix/object/detail/Makefile
		include/almost/boost/spirit/home/phoenix/operator/Makefile
		include/almost/boost/spirit/home/phoenix/operator/detail/Makefile
		include/almost/boost/spirit/home/phoenix/scope/Makefile
		include/almost/boost/spirit/home/phoenix/scope/detail/Makefile
		include/almost/boost/spirit/home/phoenix/statement/Makefile
		include/almost/boost/spirit/home/phoenix/statement/detail/Makefile
		include/almost/boost/spirit/home/phoenix/stl/Makefile
		include/almost/boost/spirit/home/phoenix/stl/algorithm/Makefile
		include/almost/boost/spirit/home/phoenix/stl/algorithm/detail/Makefile
		include/almost/boost/spirit/home/phoenix/stl/container/Makefile
		include/almost/boost/spirit/home/phoenix/stl/container/detail/Makefile
		include/almost/boost/spirit/home/qi/Makefile
		include/almost/boost/spirit/home/qi/action/Makefile
		include/almost/boost/spirit/home/qi/auxiliary/Makefile
		include/almost/boost/spirit/home/qi/binary/Makefile
		include/almost/boost/spirit/home/qi/char/Makefile
		include/almost/boost/spirit/home/qi/char/detail/Makefile
		include/almost/boost/spirit/home/qi/debug/Makefile
		include/almost/boost/spirit/home/qi/debug/detail/Makefile
		include/almost/boost/spirit/home/qi/detail/Makefile
		include/almost/boost/spirit/home/qi/directive/Makefile
		include/almost/boost/spirit/home/qi/nonterminal/Makefile
		include/almost/boost/spirit/home/qi/nonterminal/detail/Makefile
		include/almost/boost/spirit/home/qi/numeric/Makefile
		include/almost/boost/spirit/home/qi/numeric/detail/Makefile
		include/almost/boost/spirit/home/qi/operator/Makefile
		include/almost/boost/spirit/home/qi/stream/Makefile
		include/almost/boost/spirit/home/qi/stream/detail/Makefile
		include/almost/boost/spirit/home/qi/string/Makefile
		include/almost/boost/spirit/home/qi/string/detail/Makefile
		include/almost/boost/spirit/home/support/Makefile
		include/almost/boost/spirit/home/support/algorithm/Makefile
		include/almost/boost/spirit/home/support/auxiliary/Makefile
		include/almost/boost/spirit/home/support/char_class/Makefile
		include/almost/boost/spirit/home/support/detail/Makefile
		include/almost/boost/spirit/home/support/detail/integer/Makefile
		include/almost/boost/spirit/home/support/detail/lexer/Makefile
		include/almost/boost/spirit/home/support/detail/lexer/containers/Makefile
		include/almost/boost/spirit/home/support/detail/lexer/conversion/Makefile
		include/almost/boost/spirit/home/support/detail/lexer/parser/Makefile
		include/almost/boost/spirit/home/support/detail/lexer/parser/tokeniser/Makefile
		include/almost/boost/spirit/home/support/detail/lexer/parser/tree/Makefile
		include/almost/boost/spirit/home/support/detail/lexer/partition/Makefile
		include/almost/boost/spirit/home/support/detail/math/Makefile
		include/almost/boost/spirit/home/support/detail/math/detail/Makefile
		include/almost/boost/spirit/home/support/iterators/Makefile
		include/almost/boost/spirit/home/support/iterators/detail/Makefile
		include/almost/boost/spirit/home/support/meta_grammar/Makefile
		include/almost/boost/spirit/home/support/nonterminal/Makefile
		include/almost/boost/spirit/home/support/nonterminal/detail/Makefile
		include/almost/boost/spirit/include/Makefile
		include/almost/boost/spirit/iterator/Makefile
		include/almost/boost/spirit/meta/Makefile
		include/almost/boost/spirit/phoenix/Makefile
		include/almost/boost/spirit/symbols/Makefile
		include/almost/boost/spirit/tree/Makefile
		include/almost/boost/spirit/utility/Makefile
		include/almost/boost/statechart/Makefile
		include/almost/boost/statechart/detail/Makefile
		include/almost/boost/system/Makefile
		include/almost/boost/test/Makefile
		include/almost/boost/test/detail/Makefile
		include/almost/boost/test/impl/Makefile
		include/almost/boost/test/included/Makefile
		include/almost/boost/test/output/Makefile
		include/almost/boost/test/utils/Makefile
		include/almost/boost/test/utils/basic_cstring/Makefile
		include/almost/boost/test/utils/iterator/Makefile
		include/almost/boost/test/utils/runtime/Makefile
		include/almost/boost/test/utils/runtime/cla/Makefile
		include/almost/boost/test/utils/runtime/cla/detail/Makefile
		include/almost/boost/test/utils/runtime/cla/iface/Makefile
		include/almost/boost/test/utils/runtime/env/Makefile
		include/almost/boost/test/utils/runtime/file/Makefile
		include/almost/boost/thread/Makefile
		include/almost/boost/thread/detail/Makefile
		include/almost/boost/thread/pthread/Makefile
		include/almost/boost/thread/win32/Makefile
		include/almost/boost/tr1/Makefile
		include/almost/boost/tr1/detail/Makefile
		include/almost/boost/tr1/tr1/Makefile
		include/almost/boost/tr1/tr1/bcc32/Makefile
		include/almost/boost/tr1/tr1/sun/Makefile
		include/almost/boost/tuple/Makefile
		include/almost/boost/tuple/detail/Makefile
		include/almost/boost/type_traits/Makefile
		include/almost/boost/type_traits/detail/Makefile
		include/almost/boost/type_traits/msvc/Makefile
		include/almost/boost/typeof/Makefile
		include/almost/boost/typeof/dmc/Makefile
		include/almost/boost/typeof/msvc/Makefile
		include/almost/boost/typeof/std/Makefile
		include/almost/boost/units/Makefile
		include/almost/boost/units/base_units/Makefile
		include/almost/boost/units/base_units/angle/Makefile
		include/almost/boost/units/base_units/astronomical/Makefile
		include/almost/boost/units/base_units/cgs/Makefile
		include/almost/boost/units/base_units/imperial/Makefile
		include/almost/boost/units/base_units/metric/Makefile
		include/almost/boost/units/base_units/si/Makefile
		include/almost/boost/units/base_units/temperature/Makefile
		include/almost/boost/units/base_units/us/Makefile
		include/almost/boost/units/detail/Makefile
		include/almost/boost/units/physical_dimensions/Makefile
		include/almost/boost/units/systems/Makefile
		include/almost/boost/units/systems/angle/Makefile
		include/almost/boost/units/systems/cgs/Makefile
		include/almost/boost/units/systems/detail/Makefile
		include/almost/boost/units/systems/si/Makefile
		include/almost/boost/units/systems/si/codata/Makefile
		include/almost/boost/units/systems/temperature/Makefile
		include/almost/boost/unordered/Makefile
		include/almost/boost/unordered/detail/Makefile
		include/almost/boost/utility/Makefile
		include/almost/boost/utility/detail/Makefile
		include/almost/boost/variant/Makefile
		include/almost/boost/variant/detail/Makefile
		include/almost/boost/wave/Makefile
		include/almost/boost/wave/cpplexer/Makefile
		include/almost/boost/wave/cpplexer/re2clex/Makefile
		include/almost/boost/wave/grammars/Makefile
		include/almost/boost/wave/util/Makefile
		include/almost/boost/xpressive/Makefile
		include/almost/boost/xpressive/detail/Makefile
		include/almost/boost/xpressive/detail/core/Makefile
		include/almost/boost/xpressive/detail/core/matcher/Makefile
		include/almost/boost/xpressive/detail/dynamic/Makefile
		include/almost/boost/xpressive/detail/static/Makefile
		include/almost/boost/xpressive/detail/static/transforms/Makefile
		include/almost/boost/xpressive/detail/utility/Makefile
		include/almost/boost/xpressive/detail/utility/chset/Makefile
		include/almost/boost/xpressive/proto/Makefile
		include/almost/boost/xpressive/proto/context/Makefile
		include/almost/boost/xpressive/proto/detail/Makefile
		include/almost/boost/xpressive/proto/transform/Makefile
		include/almost/boost/xpressive/traits/Makefile
		include/almost/boost/xpressive/traits/detail/Makefile
		include/almost/boost_1_30/Makefile
		include/almost/boost_1_30/config/Makefile
		include/almost/boost_1_30/config/compiler/Makefile
		include/almost/boost_1_30/config/platform/Makefile
		include/almost/boost_1_30/config/stdlib/Makefile
		include/almost/boost_1_30/detail/Makefile
		include/almost/boost_1_30/random/Makefile
		include/almost/boost_1_30/random/detail/Makefile
		include/almost/cheshire/Makefile
		include/almost/coormanager/Makefile
		include/almost/dyna/Makefile
		include/almost/dynabhm/Makefile
		include/almost/dynaca/Makefile
		include/almost/dynaimpl/Makefile
		include/almost/dynamip/Makefile
		include/almost/factory/Makefile
		include/almost/forcefield/Makefile
		include/almost/forcefield/ca/Makefile
		include/almost/forcefield/const/Makefile
		include/almost/forcefield/const/base/Makefile
		include/almost/forcefield/const/pmf/Makefile
		include/almost/forcefield/const/rose/Makefile
		include/almost/forcefield/const/misc/Makefile
		include/almost/forcefield/const/nmr/Makefile
		include/almost/forcefield/const/shiftconst/Makefile
		include/almost/forcefield/const/scratch/Makefile
		include/almost/forcefield/go/Makefile
		include/almost/forcefield/intern/Makefile
		include/almost/forcefield/nb/Makefile
		include/almost/forcefield/nb/exclist/Makefile
		include/almost/forcefield/nb/nbupdate/Makefile
		include/almost/graphics/Makefile
		include/almost/io/Makefile
		include/almost/kernel/Makefile
		include/almost/kernel/scratch/Makefile
		include/almost/molecules/Makefile
		include/almost/mbmd/Makefile
		include/almost/mcf/Makefile
		include/almost/md/Makefile
		include/almost/mdb/Makefile
		include/almost/mdbase/Makefile
		include/almost/mdnew/Makefile
		include/almost/mdutils/Makefile
		include/almost/mdx/Makefile
		include/almost/metropolis/Makefile
		include/almost/misc/Makefile
		include/almost/moveset/Makefile
		include/almost/monitor/Makefile
		include/almost/mpi/Makefile
		include/almost/nmr/Makefile
		include/almost/pbcmd/Makefile
		include/almost/pdb/Makefile
		include/almost/psipred/Makefile
		include/almost/rose/Makefile
		include/almost/template/Makefile
		include/almost/tinyxml/Makefile
		include/almost/tmd/Makefile
		include/almost/types/Makefile
		include/almost/zeta/Makefile
		lib/Makefile
		toppar/Makefile
		bin/Makefile
		src/lib/Makefile 
		src/lib/modules/Makefile 
		src/Makefile 
		src/tinyxml/Makefile
		src/forcefield/Makefile
		src/forcefield/mkff/Makefile
		src/examples/Makefile
		src/tests/Makefile

	)

#	src/modules/Makefile
#	src/tests/Makefile 
